/*
 * リンクレイヤ設定パラメータクラスヘッダー
 * LinkLayerParam.h
 *
 *  Created on: 2018/09/27
 *      Author: shingo
 */

#ifndef CATMASTER_LINKLAYERPARAM_H_
#define CATMASTER_LINKLAYERPARAM_H_

#include <EcLink.h>

class LinkLayerParam
{
public:
    LinkLayerParam();
    virtual ~LinkLayerParam();

    void getParamCPSW(EC_T_LINK_PARMS_CPSW*);
    void getParamICSS(EC_T_LINK_PARMS_ICSS*);

private:
    /** Gポート設定 */
    EC_T_DWORD CpswInstance = 1;            // ギガポート１　or 2
    EC_T_DWORD PortPriority = 1;            // 0 or 1
    /** 100Mポート設定 */
    EC_T_DWORD IcssInstance = 4;            // 100Mポート：１〜4
    EC_T_LINKMODE IcssLinkMode = EcLinkMode_POLLING; // EcLinkMode_POLLING or EcLinkMode_INTERRUPT

};

#endif /* CATMASTER_LINKLAYERPARAM_H_ */
